Report test results
Runner reports the tests parsed from one build step. Reports from several steps of a build add up. Only accepted while the build runs.
Operation ID
report_job_test_resultsRunner reports the tests parsed from one build step. Reports from several steps of a build add up. Only accepted while the build runs.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
runner_id*string
Runner ID
job_id*string
Build/Job ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Test results parsed by the runner from one build step.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/runners/string/jobs/string/test-results" \ -H "Content-Type: application/json" \ -d '{ "duration_ms": 0, "failed": 0, "failures": [ { "name": "string", "suite": "string" } ], "passed": 0, "skipped": 0, "step": "string", "total": 0 }'{ "ok": true}